Bug 221858 - vmware compile error (experimental 2.6.19 kernel)
vmware compile error (experimental 2.6.19 kernel)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-01-08 11:14 EST by Ronald Warsow
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-14 19:09:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the vmware modules (24.67 KB, text/plain)
2007-01-08 11:14 EST, Ronald Warsow
no flags Details

  None (edit)
Description Ronald Warsow 2007-01-08 11:14:44 EST
Description of problem:
unable to compile a vmware module on a i386/x86_64 box.

Version-Release number of selected component (if applicable):
experimental kernel-2.6.19-1.2888.fc6
VMware-server-1.0.1-29996 with removed "#include <linux/config.h>"

How reproducible:

Steps to Reproduce:
Actual results:
CC [M]  /tmp/vmware-config0/vmnet-only/userif.o
/tmp/vmware-config0/vmnet-only/userif.c: In function ‘VNetCopyDatagramToUser’:
/tmp/vmware-config0/vmnet-only/userif.c:629: error: ‘CHECKSUM_HW’ undeclared
(first use in this function)
/tmp/vmware-config0/vmnet-only/userif.c:629: error: (Each undeclared identifier
is reported only once
/tmp/vmware-config0/vmnet-only/userif.c:629: error: for each function it appears
make[2]: *** [/tmp/vmware-config0/vmnet-only/userif.o] Error 1
make[1]: *** [_module_/tmp/vmware-config0/vmnet-only] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.19-1.2888.fc6-x86_64'
make: *** [vmnet.ko] Error 2
make: Leaving directory `/tmp/vmware-config0/vmnet-only'
Unable to build the vmnet module.

Expected results:

Additional info:
i know i should send a bz to the vmware list, but with the prev. kernels it
compiles fine.
a hint what i could fix -if so- would be helpful.
Comment 1 Ronald Warsow 2007-01-08 11:14:44 EST
Created attachment 145067 [details]
the vmware modules
Comment 2 Ronald Warsow 2007-01-13 16:11:11 EST
a/the solution for people's have the same trouble with kernel > 2.6.19 and


best should be:
to change the summary line of this bz report and exchange "(experimental" into
"with 2.6.19 and above kernels"


the summary line seems to be writeable for me, but ...

Comment 3 Dave Jones 2007-02-14 19:09:30 EST
if out of tree modules don't compile, it's a problem with those modules not
being up to date with changes in the kernel.  vmware probably have updates

Either way, nothing to fix in the Fedora kernel.

Note You need to log in before you can comment on or make changes to this bug.